#! /bin/sh

#name of package
PKG_NAME=akamaru
srcdir=${srcdir:-.}

# some terminal codes from ...
boldface="`tput bold 2>/dev/null`"
normal="`tput sgr0 2>/dev/null`"
printbold() {
    echo $ECHO_N "$boldface"
    echo -n "$@"
    echo $ECHO_N "$normal"
}
printerr() {
    echo "$@" >&2
}

printbold "checking for intltool..."
(intltoolize --version) < /dev/null > /dev/null 2>&1 || {
	printerr "***Error***: You must have intltool installed to compile $PKG_NAME";
	exit;
}
echo -n "found intltool"

printbold "checking for libtoolize..."
(libtoolize --version) < /dev/null > /dev/null 2>&1 || {
	printerr "***Error***: You must have libtool installed to compile $PKG_NAME";
	exit;
}
echo -n "found libtoolize"

printbold "checking for automake..."
(automake --version) < /dev/null > /dev/null 2>&1 || {
	printerr "***Error***: You must have automake installed to compile $PKG_NAME";
	exit;
}
echo -n "found automake"

printbold "checking for autoconf..."
(autoconf --version) < /dev/null > /dev/null 2>&1 || {
	printerr "***Error***: You must have autoconf installed to compile $PKG_NAME";
	exit;
}
echo -n "found autoconf"

printbold "Running 'autoreconf -v --install'..."
autoreconf -v --install || exit 1

printbold Running \'$srcdir/configure $conf_flags "$@"\' ...
$srcdir/configure $conf_flags "$@" \
	&& echo Now type \`make\' to compile $PKG_NAME || exit 1



